Skip to main content
`Ctrl`+`K`

# LMEConvergedReasonView

Displays the reason an `LME` solve converged or diverged.

## Synopsis

    #include "slepclme.h"
    PetscErrorCode LMEConvergedReasonView(LME lme,PetscViewer viewer)

Collective

## Input Parameters

- lme - the linear matrix equation solver context

- viewer - the viewer to display the reason

## Options Database Key

- -lme_converged_reason - print reason for convergence/divergence, and number of iterations

## Notes

Use `LMEConvergedReasonViewFromOptions()` to display the reason based on values in the options database.

To change the format of the output call `PetscViewerPushFormat()` before this call. Use `PETSC_VIEWER_DEFAULT` for the default, or `PETSC_VIEWER_FAILED` to only display a reason if it fails. The latter can be set in the command line with `-lme_converged_reason ::failed`.

## See Also

LME: Linear Matrix Equation, `LMESetTolerances()`, `LMEGetIterationNumber()`, `LMEConvergedReasonViewFromOptions()`

## Level

intermediate

## Location

src/lme/interface/lmebasic.c

Index of all LME routines Table of Contents for all manual pages Index of all manual pages